#ifndef AProtonGun_h
#define AProtonGun_h 1

#include "G4VUserPrimaryGeneratorAction.hh"
#include "G4UnitsTable.hh"
#include "G4PhysicalConstants.hh"
#include "globals.hh"

class G4Event;
class G4ParticleGun;
class G4ParticleDefinition;
class G4ParticleTable;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class AProtonGun : public G4VUserPrimaryGeneratorAction
{
public:
  AProtonGun(G4double beamStartingPosition = -30.*CLHEP::cm);    
  ~AProtonGun();

  void GeneratePrimaries(G4Event*);

private:

  G4ParticleGun* particleGun;
  G4ParticleDefinition* particle;
  G4ParticleTable* particleTable;

};

#endif


